# Bootstrap
%bcond_without bootstrap

%global packname rlang
%global packver  0.4.11
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.4.11
Release:          1
Summary:          Functions for Base Types and Core R and 'Tidyverse' Features

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
Patch0001:        0001-Unbundle-libxxhash.patch

BuildRequires:    pkgconfig(libxxhash)
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-utils
%if %{without bootstrap}
BuildRequires:    R-cli
BuildRequires:    R-crayon
BuildRequires:    R-glue
BuildRequires:    R-magrittr
BuildRequires:    R-methods
BuildRequires:    R-pak
BuildRequires:    R-pillar
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat >= 3.0.0
BuildRequires:    R-vctrs >= 0.2.3
BuildRequires:    R-withr
%endif

%description
A toolbox for working with base types, core R features like the condition
system, and core 'Tidyverse' features like tidy evaluation.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1
sed -i 's/covr, //g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{without bootstrap}
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/backtrace-ver


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 0.4.11-1
- Init package (Thanks to fedora team)
